/**
 * Application
 */
public class Template.Application : Gtk.Application
{
	/** Application entry point */
	public static int main(string[] args)
	{
		var app = new Template.Application();
		return app.run(args);
	}

	/** Constructor */
	public Application()
	{
		Object (application_id: "template.Application",
				flags: ApplicationFlags.FLAGS_NONE);
	}

	public override void activate () {
		var window = new Template.ApplicationWindow (this);
		window.present ();
	}
}

/**
 * Application window
 */
[GtkTemplate(ui = "/template/window.ui")]
public class Template.ApplicationWindow : Gtk.ApplicationWindow
{
	[GtkChild]
	Gtk.Button test_button;

	public ApplicationWindow(Gtk.Application application)
	{
		Object(application: application);
	}

	[GtkCallback]
	public void on_test_button_clicked(Gtk.Button button)
	{
		GLib.message("Button clicked !!!");
	}
}